- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends

# QTextTableCellFormat Class Reference

Search for all occurrences

## Detailed Description

Definition at line 835 of file qtextformat.h.

`#include <qtextformat.h>`

Inheritance diagram for QTextTableCellFormat:
[legend]

List of all members.

## Public Member Functions
| QTextTableCellFormat ()
bool | isValid () const
void | setTopPadding (qreal padding)
qreal | topPadding () const
void | setBottomPadding (qreal padding)
qreal | bottomPadding () const
void | setLeftPadding (qreal padding)
qreal | leftPadding () const
void | setRightPadding (qreal padding)
qreal | rightPadding () const
void | setPadding (qreal padding)
## Protected Member Functions
| QTextTableCellFormat (const QTextFormat &fmt)
## Friends
class | QTextFormat

## Constructor & Destructor Documentation

QTextTableCellFormat | ( |  | ) |

QTextTableCellFormat | ( | const QTextFormat & | fmt | ) | `[explicit, protected]`

## Member Function Documentation

bool isValid | ( |  | ) | const `[inline]`

Search for all occurrences

Reimplemented from QTextCharFormat.

Definition at line 840 of file qtextformat.h.

    { return isTableCellFormat(); }

void setTopPadding | ( | qreal | padding | ) | `[inline]`

Search for all occurrences

Definition at line 861 of file qtextformat.h.

    {
        setProperty(TableCellTopPadding, padding);
    }

qreal topPadding | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 866 of file qtextformat.h.

    {
        return doubleProperty(TableCellTopPadding);
    }

void setBottomPadding | ( | qreal | padding | ) | `[inline]`

Search for all occurrences

Definition at line 871 of file qtextformat.h.

    {
        setProperty(TableCellBottomPadding, padding);
    }

qreal bottomPadding | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 876 of file qtextformat.h.

    {
        return doubleProperty(TableCellBottomPadding);
    }

void setLeftPadding | ( | qreal | padding | ) | `[inline]`

Search for all occurrences

Definition at line 881 of file qtextformat.h.

    {
        setProperty(TableCellLeftPadding, padding);
    }

qreal leftPadding | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 886 of file qtextformat.h.

    {
        return doubleProperty(TableCellLeftPadding);
    }

void setRightPadding | ( | qreal | padding | ) | `[inline]`

Search for all occurrences

Definition at line 891 of file qtextformat.h.

    {
        setProperty(TableCellRightPadding, padding);
    }

qreal rightPadding | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 896 of file qtextformat.h.

    {
        return doubleProperty(TableCellRightPadding);
    }

void setPadding | ( | qreal | padding | ) | `[inline]`

Search for all occurrences

Definition at line 901 of file qtextformat.h.

    {
        setTopPadding(padding);
        setBottomPadding(padding);
        setLeftPadding(padding);
        setRightPadding(padding);
    }

## Friends And Related Function Documentation

friend class QTextFormat `[friend]`

Search for all occurrences

Reimplemented from QTextCharFormat.

Definition at line 858 of file qtextformat.h.

The documentation for this class was generated from the following file:

- QtGui/qtextformat.h

QTextTableCellFormat QTextTableCellFormat QTextTableCellFormat QTextTableCellFormat QTextTableCellFormat QTextTableCellFormat QTextTableCellFormat QTextTableCellFormat QTextTableCellFormat QTextTableCellFormat
QTextTableCellFormat QTextTableCellFormat QTextTableCellFormat QTextTableCellFormat QTextTableCellFormat QTextTableCellFormat QTextTableCellFormat QTextTableCellFormat QTextTableCellFormat QTextTableCellFormat